package example.comanche;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;

import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.IllegalBindingException;
import org.objectweb.fractal.api.control.IllegalLifeCycleException;

public class FileRequestHandler implements RequestHandler {
    public void handleRequest(Request r) throws IOException {
        File f = new File(r.url);
        if ((f.exists()) && (!(f.isDirectory()))) {
            InputStream is = new FileInputStream(f);
            byte[] data = new byte[is.available()];
            is.read(data);
            is.close();
            r.out.print("HTTP/1.0 200 OK\n\n");
            r.out.write(data);
        } else {
            throw new IOException("File not found");
        }
    }
    
    public void bindFc(String clientItfName, Object serverItf) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException {
        throw new NoSuchInterfaceException((("Client interface \'" + clientItfName) + "\' is undefined."));
    }
    
    public String[] listFc() {
        List __interfaces__ = new ArrayList();
        return ((String[])(__interfaces__.toArray(new String[]{  })));
    }
    
    public Object lookupFc(String clientItfName) throws NoSuchInterfaceException {
        throw new NoSuchInterfaceException((("Client interface \'" + clientItfName) + "\' is undefined."));
    }
    
    public void unbindFc(String clientItfName) throws NoSuchInterfaceException, IllegalBindingException, IllegalLifeCycleException {
        throw new NoSuchInterfaceException((("Client interface \'" + clientItfName) + "\' is undefined."));
    }
    
}